<template>
 	<div id="overview">
 		<p v-for="(room,key) in formdata.roomList">{{room.name}}</p>
 		<roomElement v-for="(room,key) in rooms" :key="key" :room="room" @step:bookRoom="addRoom(room)"></roomElement>
 		<button class="btn btn-danger pull-right" v-on:click="nextPage()">To checkout</button> 
	    <button class="btn btn-link pull-left" v-on:click="previousPage()"><p>Previous</p></button>
 	</div>
</template>

<script>

	import roomElement from "@/components/roomElement.vue";

	export default {
		name: 'roomComponent',
		components: {
			roomElement,
		},
		props: {
			rooms: {
				type: Array, 
				required: true,				
			},
			formdata: {
				type: Object,
				required: true,
			}
		},
		data() {
			return {
				currentRoom: 0,			
			}

		},
		methods: {
			addRoom(room){
				console.log(this.formdata.roomList[this.currentRoom]);
				console.log(room);				
				this.formdata.roomList[this.currentRoom].equalize(room);
				console.log("set room");
				this.currentRoom++;
				this.$emit("step:refresh");
			},
			nextPage(){
				this.$emit("step:next");
			}
		}
	}
	
</script>

